%define pkidir %{_sysconfdir}/pki

%define class1hash %(openssl x509 -hash -noout -in %{SOURCE0})

Name:           ca-kwizart.net
Version:        2009
Release:        1
Summary:        Kwizart.net CA certificates

Group:          System Environment/Base
License:        Public Domain
URL:            http://kwizart.net
Source0:        kwizart.net_ca_cert.crt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  openssl


%description
Kwizart.net CA Certificates.

%prep
# Nothing to prep

%build
# Nothing to built


%install
rm -rf $RPM_BUILD_ROOT

install -D -p -m 0644 %{SOURCE0} \
    %{buildroot}%{pkidir}/tls/certs/kwizart.net_ca_cert.crt
ln -s kwizart.net_ca_cert.crt $RPM_BUILD_ROOT%{pkidir}/tls/certs/%{class1hash}.0


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{pkidir}/tls/certs/kwizart.net_ca_cert.crt
%{pkidir}/tls/certs/%{class1hash}.0


%changelog
* Mon Nov  9 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 2009-1
- Initial package
